Bug 57650 - sstream compile warning
sstream compile warning
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: libstdc++ (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-18 05:10 EST by Albert Strasheim
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 11:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2001-12-18 05:10:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Compile a program that uses the seekoff or seekpos functions.
	

Additional info:

--- sstream~    Tue Dec 18 11:45:53 2001
+++ sstream     Tue Dec 18 11:02:31 2001
@@ -256,7 +256,7 @@
   return res;
 }
 
-inline streampos std::stringbuf::seekoff(streamoff o, _seek_dir d, int
mode=ios::in|ios::out)
+inline streampos std::stringbuf::seekoff(streamoff o, _seek_dir d, int mode)
 {
   sync();
   streamoff newpos = rpos;
@@ -274,7 +274,7 @@
   return newpos;
 }
 
-inline streampos std::stringbuf::seekpos(streampos pos, int mode =
ios::in|ios::out)
+inline streampos std::stringbuf::seekpos(streampos pos, int mode)
 {
   return seekoff(pos, ios::beg, mode);
 }
Comment 1 Benjamin Kosnik 2004-10-01 11:29:02 EDT
Fixed in gcc-3.3, gcc-3.4.

Note You need to log in before you can comment on or make changes to this bug.